#755 Make Search bar "sticky"

open
nobody
None
3
2014-05-30
2014-05-25
Leandro
No
  • Option to highlight in the tree view (in red) entries whose passwords haven't been changed in the last X months.
  • Option to 'Always show' the search/filter bar at the bottom.
  • Option to allow changing the colors of entries in the tree view.

Related

Feature Requests: #755

Discussion

  • Rony Shapiro

    Rony Shapiro - 2014-05-30

    First item can be currently done using Filter Views, e.g., define a filter showing all entries with Password Modification times before 90 days.
    Second item worth considering - renaming the request to describe this.
    Third item is a separate request [754]

     
    • Leandro

      Leandro - 2014-05-30

      The filters are not saved after the program is closed. So everytime I
      want a filter I have to define all rules again, which is annoying.

      On 30/05/2014 06:10, Rony Shapiro wrote:

      First item can be currently done using Filter Views, e.g., define a
      filter showing all entries with Password Modification times before 90
      days.
      Second item worth considering - renaming the request to describe this.
      Third item is a separate request [754]


      [feature-requests:#755]
      http://sourceforge.net/p/passwordsafe/feature-requests/755/ Feature
      request

      Status: open
      Group: Next_Release_(example)
      Created: Sun May 25, 2014 10:23 PM UTC by Leandro
      Last Updated: Sun May 25, 2014 10:23 PM UTC
      Owner: nobody

      • Option to highlight in the tree view (in red) entries whose
        passwords haven't been changed in the last X months.
      • Option to 'Always show' the search/filter bar at the bottom.
      • Option to allow changing the colors of entries in the tree view.

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/passwordsafe/feature-requests/755/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Feature Requests: #755

      • fernando

        fernando - 2014-06-04

        The filters are not saved after the program is closed. So everytime I
        want a filter I have to define all rules again, which is annoying.

        See topic 'Storing Filters' in Help file.

         
        • Leandro

          Leandro - 2014-06-04

          I did not found such topic "Storing filters" in the help file.
          Although I saw an option to export them to XML.
          Still not practical. I mean, the filters should be an "one click" thing.
          To do so I suppose them filters would have to be stored inside the
          password db, which would require a new file format version.

          Here's some idea...
          The program could automatically save/load a <mydbname>.xml along with
          the db file. Such xml would have those filters stored in it and
          non-compromising settings related to the database. OR the xml could be
          saved appart from the DB also encrypted.
          All regarding this XML should be a non-user interactivity.

          Thanks again team!

          On 04/06/2014 11:07, fernando wrote:

          The filters are not saved after the program is closed. So everytime I
          want a filter I have to define all rules again, which is annoying.
          

          See topic 'Storing Filters' in Help file.


          [feature-requests:#755]
          http://sourceforge.net/p/passwordsafe/feature-requests/755/ Make
          Search bar "sticky"

          Status: open
          Group: Next_Release_(example)
          Created: Sun May 25, 2014 10:23 PM UTC by Leandro
          Last Updated: Fri May 30, 2014 09:11 AM UTC
          Owner: nobody

          • Option to highlight in the tree view (in red) entries whose
            passwords haven't been changed in the last X months.
          • Option to 'Always show' the search/filter bar at the bottom.
          • Option to allow changing the colors of entries in the tree view.

          Sent from sourceforge.net because you indicated interest in
          https://sourceforge.net/p/passwordsafe/feature-requests/755/

          To unsubscribe from further messages, please visit
          https://sourceforge.net/auth/subscriptions/

           

          Related

          Feature Requests: #755

          • fernando

            fernando - 2014-06-04

            In Help file navigate to:
            Using Password Safe > Filtering Entries

            On that page...

            See:
              Storing Filters
                Filters can be stored either as part of the current database,
                or externally, as XML files.
            
            Also see:
              Note:
                Upon Startup, Password Safe searches for a file named autoload_filters.xml
                in the same directory as the pwsafe.cfg file...
            
                If such a file exists, then it is automatically imported and the filters it
                contains are ready for use.
            
             
            Last edit: fernando 2014-06-04
  • Rony Shapiro

    Rony Shapiro - 2014-05-30
    • summary: Feature request --> Make Search bar "sticky"
     

Log in to post a comment.